//Ex4_15.cpp
#include "iostream" 
#include "cstring"
using namespace std;
void main( )
{int i, j;
 char *ps[4]={"China","Japan","Korea","Australia"},*p;
 cout<<"order strings:"<<endl;
 for(i=0;i<4;i++) cout<<ps[i]<<endl;
 for(i=0;i<3;i++)    //¶Ô×Ö·û´®½øÐÐÅÅÐò
   for(j=i+1; j<4; j++)
     if(strcmp(ps[i],ps[j])>0){p=ps[i];ps[i]=ps[j];ps[j]=p;}
 cout<<"reordered strings:"<<endl;
 for(i=0;i<4;i++) cout<<ps[i]<<endl;
}
